spring:
  data:
    redis:
      host: localhost
      username: default
      password: admin
  cloud:
    gateway:
      forwarded:
        enabled: true
  jackson:
    default-property-inclusion: NON_NULL
management:
  endpoints:
    web:
      exposure:
        include: "*" #actuator will expose all the endpoints
  endpoint:
    gateway:
      enabled: true
  server:
    port: 8080
    ssl:
      enabled: false

custom-ssl:
  enabled: true
  key-store-location: "${CERTS_FOLDER:}keystore.p12"
  key-store-password: [CUSTOM_SSL_KEY_STORE_PASSWORD]
  client-auth: want
  trust-store-location: "${CERTS_FOLDER:}truststore.jks"
  trust-store-password: [CUSTOM_SSL_TRUST_STORE_PASSWORD]
  key-store-type: PKCS12
  trust-store-type: JKS

server:
  port: 9443

users-roles:
  url: [USERS_ROLES_URL]
sap:
  url: [SAP_URL]
identity-provider:
  url: [IDENTITY_PROVIDER_URL]
authentication-provider:
  url: [AUTHENTICATION_PROVIDER_URL]

keypair:
  algorithm: [KEYPAIR_ALGORITHM]

global-filters:
  order:
    - eu.europa.ec.simpl.tlsgateway.filters.EphemeralProofFilter
    - eu.europa.ec.simpl.tlsgateway.filters.OcspFilter
    - eu.europa.ec.simpl.tlsgateway.filters.HeadersFilter
    - eu.europa.ec.simpl.tlsgateway.filters.AbacFilter
    - eu.europa.ec.simpl.tlsgateway.filters.LoggingFilter

